## HOW TO: ##
##
## build this image add --no-cache for forced-build:

## ** BUILD **
# docker build --tag rhodecode/static-files-build:16 -f static-build.dockerfile .
# docker build --tag rhodecode/static-files-build:18 -f static-build.dockerfile .

## run grunt on top of the source code
## cd rhodecode-enterprise-ce
## docker run --rm -v $PWD:/project --workdir=/project rhodecode/static-files-build grunt

## ** GENERATE **
## docker run -it --entrypoint bash --rm -v $PWD:/project --workdir=/project rhodecode/static-files-build:16 -c "npm install && grunt -v"

# THIS WORKS NOW
FROM node:16-buster
#FROM node:18-buster

WORKDIR /static_build

RUN apt-get update \
 && apt-get install --no-install-recommends --yes \
      curl \
      zip \
 && apt-get autoremove \
 && apt-get clean \
 && rm -rf /var/lib/apt/lists/*

# make node scripts visible
ENV \
    PATH=/static_build/node_modules/.bin:/project/node_modules/.bin:$PATH \
	NODE_PATH=/node_modules/.bin/node_mod \
	WEBPACK=/static_build/node_modules/.bin/webpack \
	GRUNT=/static_build/node_modules/.bin/grunt

WORKDIR /project

ENTRYPOINT ["bash"]
